package com.zhangmeng.online.exam.ui.api.form;

import com.zhangmeng.online.exam.ui.api.form.base.Form;
import com.zhangmeng.online.exam.ui.controller.PermissionEditController;
import com.zhangmeng.online.exam.ui.controller.UserEditController;
import javafx.fxml.FXMLLoader;

import java.io.IOException;

/**
 * @author zm
 * @date 2025/4/8 12:22
 * @version: 1.0
 */
public class PermissionForm extends Form {
    private PermissionEditController controller;

    public PermissionForm() {

        try {
            FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("/fxml/permission-edit.fxml"));
            this.getChildren().add(fxmlLoader.load());
            this.controller = fxmlLoader.getController();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }


    public PermissionEditController getController() {
        return controller;
    }

    public void setController(PermissionEditController controller) {
        this.controller = controller;
    }
}
